Debian Bug report logs - #447584
ITP: geogebra -- free mathematics software which joins geometry, algebra and calculus

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Antonio Ullan" <aullan@unex.es>

Date: Mon, 22 Oct 2007 11:57:01 UTC

Owned by: mascellani@poisson.phc.unipi.it

Severity: wishlist

Merged with 505704

Fixed in version geogebra/3.2.42.0+dfsg1-1

Done: Giovanni Mascellani <gio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, antonio ull�n <aullan@unex.es>:
Bug#447584; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Antonio Ullan" <aullan@unex.es>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, antonio ull�n <aullan@unex.es>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Antonio Ullan" <aullan@unex.es>
To: submit@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: ITP: geogebra -- dynamic mathematics software for schools
Date: Mon, 22 Oct 2007 13:58:46 +0200 (CEST)
Package: wnpp
Severity: wishlist
Owner: Antonio Ullán <aullan@unex.es>

* Package name    : geogebra
  Version         : 3.x.y
  Upstream Author : Markus Hohenwarter <markus@geogebra.org>
* URL             : http://www.geogebra.org/
* License         : GPL
  Description     : geogebra is a free and multi-platform dynamic mathematics
  software for schools that joins geometry, algebra and calculus






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, antonio ull <aullan@unex.es>:
Bug#447584; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Antonio Ullan" <aullan@unex.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, antonio ull <aullan@unex.es>. Full text and rfc822 format available.

Message #10 received at 447584@bugs.debian.org (full text, mbox):

From: "Antonio Ullan" <aullan@unex.es>
To: 447584@bugs.debian.org
Subject: ITP: geogebra -- dynamic mathematics software for schools, updated
Date: Tue, 23 Oct 2007 09:19:35 +0200 (CEST)
Package: wnpp
Severity: wishlist
Owner: Antonio Ullán <aullan@unex.es>

* Package name    : geogebra
  Version         : 3.0
  Upstream Author : Markus Hohenwarter <markus@geogebra.org>
* URL             : http://www.geogebra.org/
* License         : GPL (sources) and Creative Commons (documentation)
  Description     : dynamic mathematics software for schools

 GeoGebra is a dynamic geometry system. You can do constructions with points,
 vectors, segments, lines, conic sections as well as functions and change
 them dynamically afterwards. On the other hand, equations and coordinates
 can be entered directly.


-- Thanks to Daniel Burrows and Sandro Tosi for their comments.

  Antonio





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, antonio ull <aullan@unex.es>:
Bug#447584; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Rémi Vanicat" <vanicat@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, antonio ull <aullan@unex.es>. Full text and rfc822 format available.

Message #15 received at 447584@bugs.debian.org (full text, mbox):

From: "Rémi Vanicat" <vanicat@debian.org>
To: 447584@bugs.debian.org
Cc: "Antonio Ullán" <aullan@unex.es>
Subject: Debian geogebra package
Date: Fri, 4 Apr 2008 13:01:10 +0200
Hello,
Has I'm using geogebra, I'm interested by having a package for it. So
I wonder if you still intent to package it? If yes, do you need help?
I you do not intend to package it anymore could you retitled your ITP
to an RFP?

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, antonio ull <aullan@unex.es>:
Bug#447584; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Antonio Ullan" <aullan@unex.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, antonio ull <aullan@unex.es>. Full text and rfc822 format available.

Message #20 received at 447584@bugs.debian.org (full text, mbox):

From: "Antonio Ullan" <aullan@unex.es>
To: control@bugs.debian.org
Cc: 447584@bugs.debian.org
Subject: retitle 447584 RFP
Date: Mon, 7 Apr 2008 17:24:57 +0200 (CEST)
retitle 447584 RFP

thanks

Some weeks ago I did speak with geogebra authors to
clarify  geogebra installer license. At the end,  IMHO there are
somme License issues  not debian compliance. But it is good that
other people look at this.

Thanks

Antonio







Changed Bug title to `RFP' from `ITP: geogebra -- dynamic mathematics software for schools'. Request was from "Antonio Ullan" <aullan@unex.es> to control@bugs.debian.org. (Mon, 07 Apr 2008 15:27:07 GMT) Full text and rfc822 format available.

Changed Bug title to `RFP: geogebra -- dynamic mathematics software for schools' from `RFP'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 08 Apr 2008 21:03:21 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by antonio ull <aullan@unex.es>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 08 Apr 2008 21:03:22 GMT) Full text and rfc822 format available.

Merged 447584 505704. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Mon, 17 Nov 2008 03:30:26 GMT) Full text and rfc822 format available.

Owner recorded as Giovanni Mascellani <g.mascellani@gmail.com>. Request was from Giovanni Mascellani <g.mascellani@gmail.com> to control@bugs.debian.org. (Mon, 14 Sep 2009 11:51:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: geogebra -- free mathematics software which joins geometry, algebra and calculus' from 'RFP: geogebra -- dynamic mathematics software for schools' Request was from Giovanni Mascellani <g.mascellani@gmail.com> to control@bugs.debian.org. (Mon, 14 Sep 2009 11:51:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 447584: 549975 Request was from Giovanni Mascellani <g.mascellani@gmail.com> to control@bugs.debian.org. (Thu, 08 Oct 2009 22:15:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 447584: 510596 Request was from Giovanni Mascellani <g.mascellani@gmail.com> to control@bugs.debian.org. (Sat, 10 Oct 2009 06:48:08 GMT) Full text and rfc822 format available.

Owner changed from Giovanni Mascellani <g.mascellani@gmail.com> to mascellani@poisson.phc.unipi.it. Request was from Giovanni Mascellani <mascellani@poisson.phc.unipi.it> to control@bugs.debian.org. (Sun, 22 Nov 2009 15:33:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mascellani@poisson.phc.unipi.it:
Bug#447584; Package wnpp. (Wed, 10 Feb 2010 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klumpp <matthias@nlinux.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mascellani@poisson.phc.unipi.it. (Wed, 10 Feb 2010 18:51:03 GMT) Full text and rfc822 format available.

Message #43 received at 447584@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: 447584@bugs.debian.org
Subject: GeoGebra in Debian
Date: Wed, 10 Feb 2010 18:31:15 +0100
Hi!
The GeoGebra devs asked me to remove all copies of GeoGebra from GetDeb.net
and to close my attempts to package it for Ubuntu, cause they don't want
any GeoGebra package maintained by someone who is not a GG developer.
The GPL grants the right to ditribute GeoGebra and to repackage and mainain
it on Debian/Ubuntu, but I think upsteam will have a reason for this
decision.
If you package GeoGebra for Debian, you should consider asking upsteam
first. Good luck! (I would love to see GG in Debian/Ubuntu's repositories)
Upstream told me they will provide an own repository with GeoGebra deb
packages and drop the current installer - but this was some months ago and
I still see nothing like this.
Kind regards
   Matthias





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mascellani@poisson.phc.unipi.it:
Bug#447584; Package wnpp. (Wed, 10 Feb 2010 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mascellani@poisson.phc.unipi.it. (Wed, 10 Feb 2010 21:39:03 GMT) Full text and rfc822 format available.

Message #48 received at 447584@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
To: Matthias Klumpp <matthias@nlinux.org>, 447584@bugs.debian.org
Subject: Re: Bug#447584: GeoGebra in Debian
Date: Wed, 10 Feb 2010 22:35:55 +0100
[Message part 1 (text/plain, inline)]
Hi!

Matthias Klumpp ha scritto:
> Hi!
> The GeoGebra devs asked me to remove all copies of GeoGebra from GetDeb.net
> and to close my attempts to package it for Ubuntu, cause they don't want
> any GeoGebra package maintained by someone who is not a GG developer.
> The GPL grants the right to ditribute GeoGebra and to repackage and mainain
> it on Debian/Ubuntu, but I think upsteam will have a reason for this
> decision.

I'm really curious about the reason of this decision. Many people have
limited bandwidth access, and find much more comfortable to install a
package once, instead of downloading all Webstart classes every time
they want to run Geogebra. Moreover, the libraries present in Debian or
Ubuntu are constantly kept up to date and are much more secure.

Cheers, Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mascellani@poisson.phc.unipi.it:
Bug#447584; Package wnpp. (Tue, 02 Mar 2010 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mascellani@poisson.phc.unipi.it. (Tue, 02 Mar 2010 15:39:03 GMT) Full text and rfc822 format available.

Message #53 received at 447584@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>, 447584@bugs.debian.org
Cc: Matthias Klumpp <matthias@nlinux.org>
Subject: Re: Bug#447584: GeoGebra in Debian
Date: Tue, 2 Mar 2010 16:28:36 +0100
Hello,

2010/2/10 Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
> I'm really curious about the reason of this decision. Many people have
> limited bandwidth access, and find much more comfortable to install a
> package once, instead of downloading all Webstart classes every time
> they want to run Geogebra. Moreover, the libraries present in Debian or
> Ubuntu are constantly kept up to date and are much more secure.

I would also love to see geogebra in Debian repositories. I contacted
Markus (upstream in the past) he told me:

[SNIP]
Hello,

please use GeoGebra Webstart www.geogebra.org/webstart or the download
version www.geogebra.org/download to install our software.

You can find the source code at www.geogebra.org/source/program,
however you cannot build a fully functional version of GeoGebra from
our sources because we cannot provide our digital signature to sign
the jar files.

Best wishes,
Markus
[/SNIP]

Kind regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mascellani@poisson.phc.unipi.it:
Bug#447584; Package wnpp. (Tue, 02 Mar 2010 15:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mascellani@poisson.phc.unipi.it. (Tue, 02 Mar 2010 15:45:10 GMT) Full text and rfc822 format available.

Message #58 received at 447584@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
To: Hector Oron <hector.oron@gmail.com>
Cc: 447584@bugs.debian.org, Matthias Klumpp <matthias@nlinux.org>
Subject: Re: Bug#447584: GeoGebra in Debian
Date: Tue, 02 Mar 2010 16:42:49 +0100
[Message part 1 (text/plain, inline)]
Hi.

Hector Oron ha scritto:
> I would also love to see geogebra in Debian repositories. I contacted
> Markus (upstream in the past) he told me:
> 
> [SNIP]
> Hello,
> 
> please use GeoGebra Webstart www.geogebra.org/webstart or the download
> version www.geogebra.org/download to install our software.
> 
> You can find the source code at www.geogebra.org/source/program,
> however you cannot build a fully functional version of GeoGebra from
> our sources because we cannot provide our digital signature to sign
> the jar files.

I don't understand why the program can't be fully functional without the
signature. I'm still working on geogebra dependencies, so I didn't look
specifically to geogebra source, but I expect the program to run
correctly also if it is not digitally signed.

It this will turn out to be not true, then geogebra is non free, so I
won't package it for Debian, of course. Anyway, I don't think this will
happen: I'll put in Debian a version of geogebra without the signature
(which isn't needed at all to run a local Java application).

Thanks, Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mascellani@poisson.phc.unipi.it:
Bug#447584; Package wnpp. (Tue, 02 Mar 2010 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mascellani@poisson.phc.unipi.it. (Tue, 02 Mar 2010 16:27:03 GMT) Full text and rfc822 format available.

Message #63 received at 447584@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Cc: 447584@bugs.debian.org, Matthias Klumpp <matthias@nlinux.org>
Subject: Re: Bug#447584: GeoGebra in Debian
Date: Tue, 2 Mar 2010 17:24:49 +0100
Hello,

2010/3/2 Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
> It this will turn out to be not true, then geogebra is non free, so I
> won't package it for Debian, of course. Anyway, I don't think this will
> happen: I'll put in Debian a version of geogebra without the signature
> (which isn't needed at all to run a local Java application).

Thank you very much for all the work done. I have also seen in the
geogebra tarball that they ship their own bin/java JRE.

Feel free to contact me if you need someone to test or help in some bits.

Regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mascellani@poisson.phc.unipi.it:
Bug#447584; Package wnpp. (Mon, 05 Jul 2010 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mascellani@poisson.phc.unipi.it. (Mon, 05 Jul 2010 10:33:03 GMT) Full text and rfc822 format available.

Message #68 received at 447584@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
To: 447584@bugs.debian.org
Subject: Packaging update
Date: Mon, 05 Jul 2010 12:30:41 +0200
[Message part 1 (text/plain, inline)]
Hi all.

The geogebra package is technically nearly ready since a few months.
Unfortunately, there are some big licensing issues: there are a few
files in the code (see the attaches debian/copyright, which so far is of
course incomplete but gives the idea) with a clearly non-free license
(it doesn't allow commercial use).

Given that the rest of the source is licensed under GPL, this means that
the compiled JAR is not even distributable. I don't know how can
GeoGebra upstream distribute the files present on their site. My guess
is they didn't pay attention to this fact, but I'm writing them to
request clarifications.

Unfortunately, the four problematic files doesn't seem to be easily
rewritten (they contain non trivial code, mainly for performing searches
of root polynomials). If someone is able to suggest free code which
could replace it, please let me know.

There are also a few files that have only GPL-2 (and not GPL-2+), but
they should be a really minor issue.

When (and if) these problems get solved, I expect the time to see
GeoGebra in the archive will be really small. :-)

Let's cross our fingers.

Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org
[copyright (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mascellani@poisson.phc.unipi.it:
Bug#447584; Package wnpp. (Mon, 05 Jul 2010 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mascellani@poisson.phc.unipi.it. (Mon, 05 Jul 2010 21:45:06 GMT) Full text and rfc822 format available.

Message #73 received at 447584@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
To: 447584@bugs.debian.org
Subject: Re: Packaging update
Date: Mon, 05 Jul 2010 23:41:55 +0200
[Message part 1 (text/plain, inline)]
Il 05/07/2010 12:30, Giovanni Mascellani ha scritto:
> Unfortunately, the four problematic files doesn't seem to be easily
> rewritten (they contain non trivial code, mainly for performing searches
> of root polynomials). If someone is able to suggest free code which
> could replace it, please let me know.

Wonderful, it seems that Apache Commons Math has all the algorithm we
need. Then the solution should be very close! :-)

Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 10 Jul 2010 20:06:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Aug 2010 07:30:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:47:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.